<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateClassifiedsEnquiryEnquiriesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: classifieds_enquiry_enquiries
         */
        Schema::create('classifieds_enquiry_enquiries', function ($table) {
            $table->increments('id');
            $table->integer('classified_id')->nullable();
            $table->string('name', 150)->nullable();
            $table->string('email', 150)->nullable();
            $table->text('query')->nullable();
            $table->text('reply')->nullable();
            $table->integer('status')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('classifieds_enquiry_enquiries');
    }
}
