<?php

// Routes for enquiry.

// Guard routes for enquiry
Route::prefix('{guard}/enquiry')->group(function () {

    Route::patch('enquiry/actions/{action}', 'EnquiryActionsController');
    Route::patch('enquiry/action/{enquiry}/{action}', 'EnquiryActionController');
    Route::patch('enquiry/workflow/{enquiry}/{transition}', 'EnquiryWorkflowController');
    Route::resource('enquiry', 'EnquiryResourceController');
});



// Public routes for enquiry
Route::get('enquiries/', 'EnquiryPublicController@index');
Route::get('enquiry/{slug?}', 'EnquiryPublicController@show');
