<?php

namespace Classifieds\Enquiry\Providers;

use Litepie\Foundation\Support\Providers\ActionServiceProvider as ServiceProvider;

class ActionServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function actions()
    {
        return [
                    \Classifieds\Enquiry\Models\Enquiry::class
                 => config('classifieds.enquiry.enquiry.actions')
            ];
    }

}
