<?php

// Web routes  for enquiry.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for enquiry

Route::prefix('{guard}/enquiry')->group(function () {

    Route::get('/workflow/{enquiry}/{user}', 'EnquiryWorkflowController@get')
        ->name('classifieds.enquiry.workflow');
    Route::post('/workflow/{enquiry}/{user}', 'EnquiryWorkflowController@post');

    Route::get('/action/{enquiry}/{user}', 'EnquiryActionController@get')
        ->name('classifieds.enquiry.action');
    Route::post('/action/{enquiry}/{user}', 'EnquiryActionController@post');

});

