<?php

namespace Classifieds\Enquiry\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Classifieds\Enquiry\Models\Enquiry;

class EnquiryWorkflow
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $transition,
        public Enquiry $enquiry,
        public array $request = [],
        public string $when = 'after'
    ) {
    }
}
