<?php

namespace Classifieds\Enquiry\Forms;

use Litepie\Form\FormInterpreter;

class Enquiry extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = config('classifieds.enquiry.enquiry.urls');

        self::$search = config('classifieds.enquiry.enquiry.search');

        self::$orderBy = config('classifieds.enquiry.enquiry.order');

        self::$groups =  config('classifieds.enquiry.enquiry.groups');

        self::$list =  config('classifieds.enquiry.enquiry.list');

        self::$fields = config('classifieds.enquiry.enquiry.form');

        return new static();
    }
}
