<?php

namespace Classifieds\Enquiry\Providers;

use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function workflows()
    {
        return [
                    \Classifieds\Enquiry\Models\Enquiry::class 
                => config('classifieds.enquiry.enquiry.workflow')
            ];
    }

}
